Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 392929 - net-analyzer/nagios-core-3.3.1: deprecated options in init script
Summary: net-analyzer/nagios-core-3.3.1: deprecated options in init script
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Tobias Scherbaum (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: init.d-depr-opts s-s-d-deprecated
  Show dependency tree
 
Reported: 2011-12-02 15:49 UTC by Michael Palimaka (kensington)
Modified: 2011-12-30 15:34 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Avoid deprecated options, use s-s-d for reload (nagios-init.patch,1.03 KB, patch)
2011-12-02 15:49 UTC, Michael Palimaka (kensington)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Palimaka (kensington) gentoo-dev 2011-12-02 15:49:01 UTC
Created attachment 294525 [details, diff]
Avoid deprecated options, use s-s-d for reload

# /etc/init.d/nagios start
 * Use of the opts variable is deprecated and will be
 * removed in the future.
 * Please use extra_commands or extra_started_commands.
 * Starting nagios ...
 * WARNING: -a/--startas is deprecated and will be removed in the future, please use -x/--exec or -n/--name instead
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2011-12-30 15:34:11 UTC
+  30 Dec 2011; Lars Wendler <polynomial-c@gentoo.org> files/nagios3:           
+  non-maintainer commit: Massively rewrote init script with help from idl0r.   
+  Fixed deprecated s-s-d options. Let reload function use s-s-d as well. Thanks
+  to Michael Kensington for reporting this in bug #392929 and providing a      
+  patch.                                                                       
+